unit PieceIF;

(******************************************************************************
	Converted from pieceif.h by Yui N., 2003.
	tab-stop: 2
/////////////////////////////////////////////////////////////////////////////
//
//             /
//      -  P  /  E  C  E  -
//           /                 mobile equipment
//
//              System Programs
//
//
// PIECE TOOLS : pieceif.dll : Ver 1.00
//
// Copyright (C)2001 AUQAPLUS Co., Ltd. / OeRSTED, Inc. all rights reserved.
//
// Coded by MIO.H (OeRSTED)
//
// Comments:
//
// USB ]RA DLL
//
//  v1.00 2001.11.09 MIO.H
//  v1.01 2001.11.10 MIO.H ismRTCSet ǉ
//  v1.06 2001.12.21 MIO.H G[R[hǉ
//  v1.07 2002.01.06 MIO.H ڑ
//
******************************************************************************)

interface

uses Windows;

type
	TUSBComs = record
		RxStat:			Byte;												// M
		TxStat:			Byte;												// M
		PiStat:			Byte;												// PIECE ̃I[vtO
		MyStat:			Byte;												// PC ̃I[vtO
		RxLen:			DWord;											// MvTCY
		TxLen:			DWord;											// MvTCY
		Signature:	array[0..16] of Char;				// ƍ
	end;
	PUSBComs = ^TUSBComs;

const
	USBCOM_STAT_RXWAIT		= 1;
	USBCOM_STAT_TXWAIT		= 1;
	PIECE_INVALID_VERSION	= (-1);
	PIECE_DEF_WAITN				= (-1);
	PIECE_MAX_DEVICES			= 22;

	// low-level interface functions
	//
	function ismInit: Integer; stdcall; external 'pieceif.dll' name '_ismInit@0';
	function ismExit: Integer; stdcall; external 'pieceif.dll' name '_ismExit@0';
	function ismInitEx(DevNo, WaitN: Integer): Integer; stdcall; external 'pieceif.dll' name '_ismInitEx@8';
	function ismExitEx(DevNo: Integer): Integer; stdcall; external 'pieceif.dll' name '_ismExitEx@4';
	function ismSelect(DevNo: Integer): Integer; stdcall; external 'pieceif.dll' name '_ismSelect@4';
	function ismCmdW(const Ptr1: Pointer; Len1: Cardinal; const Ptr2: Pointer; Len2: Cardinal): Integer; stdcall; external 'pieceif.dll' name '_ismCmdW@16';
	function ismCmdR(Ptr1: Pointer; Len1: Cardinal; Ptr2: Pointer; Len2: Cardinal): Integer; stdcall; external 'pieceif.dll' name '_ismCmdR@16';

	// basic-level interface functions
	//
	function ismGetVersion(Ptr: Pointer; ReNew: Integer): Integer; stdcall; external 'pieceif.dll' name '_ismGetVersion@8';
	function ismWriteMem(const pBuff: PByte; Adrs, Len: Cardinal): Integer; stdcall; external 'pieceif.dll' name '_ismWriteMem@12';
	function ismReadMem(pBuff: PByte; Adrs, Len: Cardinal): Integer; stdcall; external 'pieceif.dll' name '_ismReadMem@12';
	function ismExec(Adrs: Cardinal): Integer; stdcall; external 'pieceif.dll' name '_ismExec@4';

	// USBCOM-level interface functions
	//
	function ismUCOpen(pUCS: PUSBComs): Integer; stdcall; external 'pieceif.dll' name '_ismUCOpen@4';
	function ismUCClose: Integer; stdcall; external 'pieceif.dll' name '_ismUCClose@0';
	function ismUCGetStat(pUCS: PUSBComs): Integer; stdcall; external 'pieceif.dll' name '_ismUCGetStat@4';
	function ismUCWrite(const Ptr: Pointer; Len: Cardinal): Integer; stdcall; external 'pieceif.dll' name '_ismUCWrite@8';
	function ismUCRead(Ptr: Pointer; Len: Cardinal): Integer; stdcall; external 'pieceif.dll' name '_ismUCRead@8';

	// isd-level interface functions -> isdsub.c
	function ismAppStop: Integer; stdcall; external 'pieceif.dll' name '_ismAppStop@0';
	function ismAppStart: Integer; stdcall; external 'pieceif.dll' name '_ismAppStart@0';
	function ismWriteSrfFile(const InfName: PChar; Run: Integer): Integer; stdcall; external 'pieceif.dll' name '_ismWriteSrfFile@8';
	function ismPFFSDir(Buff: PChar; Len: Cardinal; Flag: Integer): Integer; stdcall; external 'pieceif.dll' name '_ismPFFSDir@12';
	function ismPFFSWrite(const FName: PChar; const InfName: PChar): Integer; stdcall; external 'pieceif.dll' name '_ismPFFSWrite@8';
	function ismPFFSRead(const FName: PChar; const OutFName: PChar): Integer; stdcall; external 'pieceif.dll' name '_ismPFFSRead@8';
	function ismPFFSDelete(const FName: PChar): Integer; stdcall; external 'pieceif.dll' name '_ismPFFSDelete@4';
	function ismPFFSInit: Integer; stdcall; external 'pieceif.dll' name '_ismPFFSInit@0';
	function ismRTCSet(Year, Mon, Day, Hour, Min, Sec: Integer): Integer; stdcall; external 'pieceif.dll' name '_ismRTCSet@24';
	function ismLCDCaptureScreen(Buff: PByte; Len: Integer): Integer; stdcall; external 'pieceif.dll' name '_ismLCDCaptureScreen@8';
	function ismHeapGetAdrs(pAdr: PDWord): Integer; stdcall; external 'pieceif.dll' name '_ismHeapGetAdrs@4';

// G[ԍ̒`

const
	ERR_PIECEIF_TIMEOUT						= 1001;				// ^CAEg
	ERR_PIECEIF_ILL_VER						= 1002;				// BIOS̃o[WႤ
	ERR_PIECEIF_PFFS_EMPTY				= 1005;				// PFFS ̗eʂtŃt@C߂Ȃ
	ERR_PIECEIF_PFFS_DIR_EMPTY		= 1006;				// PFFS ̃fBNgtŃt@C߂Ȃ
	ERR_PIECEIF_PFFS_BAD_FAILENAME= 1007;				// PFFS ̃t@Cs
	ERR_PIECEIF_ALREADY_RUNNING		= 1010;				// pieceif.dll dN
	//ERR_PIECEIF_NO_DRIVERS				= 1011:				// PIECẼfoCXhCo
	ERR_PIECEIF_OVER_DEVICES			= 1012;				// foCX

implementation

end.
